:root {
    --color-light: hsl(0, 0%, 96%);
    --color-font: hsl(240, 3%, 47%);
    --color-header: hsl(240, 3%, 14%);
    --color-primary: hsl(188, 61%, 60%);
    --color-secondary: hsl(11, 38%, 50%);
    --color-secondary-variant: hsl(11, 46%, 45%);
    --font-text: 'Poppins', sans-serif;
}

body {
    background-color: var(--color-light);
    color: var(--color-font);
    font-family: var(--font-text);
    text-align: center;
}

h1 {
    color: var(--color-primary);
    font-family: var(--font-text);
}

h2 {
    font-size: 1.15rem;
    font-weight: 500;
    line-height: 1.8rem;
    max-width: 1200px;
    margin: 2rem auto;
    padding: 0 3rem;
    font-family: var(--font-text);
}

h3 {
    font-size: 1.125rem;
    font-family: var(--font-text);
}

a {
    border: 1px solid var(--color-primary);
    color: var(--color-light);
    background-color: var(--color-primary);
    border-radius: 10px;
    padding: 8px 13px;
    text-decoration: none;
    font-family: var(--font-text);
    transition: .5s;
}

a:hover {
    color: var(--color-primary);
    background-color: var(--color-light);
}

span {
    font-size: .7rem;
    background-color: var(--color-secondary);
    color: var(--color-light);
    text-transform: uppercase;
    margin: 0 .2rem;
    padding: 5px 10px;
    border-radius: 10px;
    letter-spacing: 1px;
    font-weight: 500;
    vertical-align: top;
}

span::before {
    content: "#";
}

.main__img {
    width: 300px;
    border-radius: 50%;
    box-shadow: 0px 0px 10px rgba(0,0,0,.2);
    margin: 1rem 0;
}

.portfolio__container {
    display: grid;
    gap: 1.5rem;
    grid-template-columns: repeat(1, 1fr);
}

.portfolio__data {
    margin: 2rem 1rem;
    text-align: center;
}

.portfolio__data img {
    width: 100%;
    border-radius: 20px;
    box-shadow: 0px 0px 10px rgba(0,0,0,.2);
}

@media (min-width: 576px) {
    .portfolio__container {
        display: grid;
        gap: 1.5rem;
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (min-width: 768px) {
    .portfolio__container {
        display: grid;
        gap: 1.5rem;
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (min-width: 992px) {

}

@media (min-width: 1200px) {

}

@media (min-width: 1400px) {

}